org.jenkinsci.constant_pool_scanner

## Class NameAndTypeConstant

- java.lang.Object
- - org.jenkinsci.constant_pool_scanner.NameAndTypeConstant

    public final class NameAndTypeConstant
    extends Object

Name of a field/method plus its descriptor.

Author:
  Kohsuke Kawaguchi

### Constructor Summary

Constructors
Constructor and Description
`NameAndTypeConstant()`

### Method Summary

Methods
`String` `getDescriptor()` Its type descriptor, a combination of field/method return type and parameter types.
`Utf8Constant` `getDescriptorUTF8()` Its type descriptor, a combination of field/method return type and parameter types.
`String` `getName()` Name of the field/method.
`Utf8Constant` `getNameUTF8()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NameAndTypeConstant

    public NameAndTypeConstant()

### Method Detail

#### getName

    public String getName()

Name of the field/method.

#### getNameUTF8

    public Utf8Constant getNameUTF8()

#### getDescriptor

    public String getDescriptor()

Its type descriptor, a combination of field/method return type and parameter types.

#### getDescriptorUTF8

    public Utf8Constant getDescriptorUTF8()

Its type descriptor, a combination of field/method return type and parameter types.